Index: /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorPushAllExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorPushAllExpressions.cs	(revision 15031)
+++ /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorPushAllExpressions.cs	(revision 15032)
@@ -29,5 +29,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.IntegerVector, "INTEGER[].PUSHALL", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.IntegerVector,
+    "INTEGER[].PUSHALL",
+    "Pushes every item from the top INTEGER[] onto the INTEGER stack in reversed order.",
+    StackTypes.Integer)]
   public class IntegerVectorPushAllExpression : VectorPushAllExpression<long> {
     public IntegerVectorPushAllExpression() { }
@@ -45,5 +49,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.FloatVector, "FLOAT[].PUSHALL", StackTypes.Float)]
+  [PushExpression(
+    StackTypes.FloatVector,
+    "FLOAT[].PUSHALL",
+    "Pushes every item from the top FLOAT[] onto the FLOAT stack in reversed order.",
+    StackTypes.Float)]
   public class FloatVectorPushAllExpression : VectorPushAllExpression<double> {
     public FloatVectorPushAllExpression() { }
@@ -61,5 +69,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.BooleanVector, "BOOLEAN[].PUSHALL", StackTypes.Boolean)]
+  [PushExpression(
+    StackTypes.BooleanVector,
+    "BOOLEAN[].PUSHALL",
+    "Pushes every item from the top BOOLEAN[] onto the BOOLEAN stack in reversed order.",
+    StackTypes.Boolean)]
   public class BooleanVectorPushAllExpression : VectorPushAllExpression<bool> {
     public BooleanVectorPushAllExpression() { }
@@ -77,5 +89,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.StringVector, "STRING[].PUSHALL", StackTypes.String)]
+  [PushExpression(
+    StackTypes.StringVector,
+    "STRING[].PUSHALL",
+    "Pushes every item from the top STRING[] onto the STRING stack in reversed order.",
+    StackTypes.String)]
   public class StringVectorPushAllExpression : VectorPushAllExpression<string> {
     public StringVectorPushAllExpression() { }
Index: /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorRemoveExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorRemoveExpressions.cs	(revision 15031)
+++ /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorRemoveExpressions.cs	(revision 15032)
@@ -30,5 +30,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.IntegerVector, "INTEGER[].REMOVE", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.IntegerVector,
+    "INTEGER[].REMOVE",
+    "Removes all occurrences of the top INTEGER in the top INTEGER[].",
+    StackTypes.Integer)]
   public class IntegerVectorRemoveExpression : VectorRemoveExpression<long> {
     public IntegerVectorRemoveExpression() { }
@@ -46,5 +50,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.FloatVector, "FLOAT[].REMOVE", StackTypes.Float)]
+  [PushExpression(
+    StackTypes.FloatVector,
+    "FLOAT[].REMOVE",
+    "Removes all occurrences of the top FLOAT in the top FLOAT[].",
+    StackTypes.Float)]
   public class FloatVectorRemoveExpression : VectorRemoveExpression<double> {
     public FloatVectorRemoveExpression() { }
@@ -62,5 +70,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.BooleanVector, "BOOLEAN[].REMOVE", StackTypes.Boolean)]
+  [PushExpression(
+    StackTypes.BooleanVector,
+    "BOOLEAN[].REMOVE",
+    "Removes all occurrences of the top BOOLEAN in the top BOOLEAN[].",
+    StackTypes.Boolean)]
   public class BooleanVectorRemoveExpression : VectorRemoveExpression<bool> {
     public BooleanVectorRemoveExpression() { }
@@ -78,5 +90,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.StringVector, "STRING[].REMOVE", StackTypes.String)]
+  [PushExpression(
+    StackTypes.StringVector,
+    "Removes all occurrences of the top STRING in the top STRING[].",
+    "STRING[].REMOVE",
+    StackTypes.String)]
   public class StringVectorRemoveExpression : VectorRemoveExpression<string> {
     public StringVectorRemoveExpression() { }
Index: /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorReplaceExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorReplaceExpressions.cs	(revision 15031)
+++ /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorReplaceExpressions.cs	(revision 15032)
@@ -38,5 +38,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.IntegerVector, "INTEGER[].REPLACE", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.IntegerVector,
+    "INTEGER[].REPLACE",
+    "Replaces all occurrences of the second INTEGER with the INTEGER in the top INTEGER[].",
+    StackTypes.Integer)]
   public class IntegerVectorReplaceExpression : VectorReplaceExpression<long> {
     public IntegerVectorReplaceExpression() { }
@@ -54,5 +58,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.FloatVector, "FLOAT[].REPLACE", StackTypes.Float)]
+  [PushExpression(
+    StackTypes.FloatVector,
+    "FLOAT[].REPLACE",
+    "Replaces all occurrences of the second FLOAT with the FLOAT in the top FLOAT[].",
+    StackTypes.Float)]
   public class FloatVectorReplaceExpression : VectorReplaceExpression<double> {
     public FloatVectorReplaceExpression() { }
@@ -70,5 +78,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.BooleanVector, "BOOLEAN[].REPLACE", StackTypes.Boolean)]
+  [PushExpression(
+    StackTypes.BooleanVector,
+    "BOOLEAN[].REPLACE",
+    "Replaces all occurrences of the second BOOLEAN with the BOOLEAN in the top BOOLEAN[].",
+    StackTypes.Boolean)]
   public class BooleanVectorReplaceExpression : VectorReplaceExpression<bool> {
     public BooleanVectorReplaceExpression() { }
@@ -86,5 +98,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.StringVector, "STRING[].REPLACE", StackTypes.String)]
+  [PushExpression(
+    StackTypes.StringVector,
+    "STRING[].REPLACE",
+    "Replaces all occurrences of the second STRING with the STRING in the top STRING[].",
+    StackTypes.String)]
   public class StringVectorReplaceExpression : VectorReplaceExpression<string> {
     public StringVectorReplaceExpression() { }
Index: /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorReplaceFirstExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorReplaceFirstExpressions.cs	(revision 15031)
+++ /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorReplaceFirstExpressions.cs	(revision 15032)
@@ -8,5 +8,5 @@
 
   /// <summary>
-  /// Replace first occurrences of the second lit-type item with the first lit-type item in the top type vector.
+  /// Replace first occurrence of the second lit-type item with the first lit-type item in the top type vector.
   /// </summary>
   /// <typeparam name="T"></typeparam>
@@ -44,5 +44,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.IntegerVector, "INTEGER[].REPLACEFIRST", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.IntegerVector,
+    "INTEGER[].REPLACEFIRST",
+    "Replace first occurrence of the second INTEGER with the INTEGER in the top INTEGER[].",
+    StackTypes.Integer)]
   public class IntegerVectorReplaceFirstExpression : VectorReplaceFirstExpression<long> {
     public IntegerVectorReplaceFirstExpression() { }
@@ -60,5 +64,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.FloatVector, "FLOAT[].REPLACEFIRST", StackTypes.Float)]
+  [PushExpression(
+    StackTypes.FloatVector,
+    "FLOAT[].REPLACEFIRST",
+    "Replace first occurrence of the second FLOAT with the FLOAT in the top FLOAT[].",
+    StackTypes.Float)]
   public class FloatVectorReplaceFirstExpression : VectorReplaceFirstExpression<double> {
     public FloatVectorReplaceFirstExpression() { }
@@ -76,5 +84,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.BooleanVector, "BOOLEAN[].REPLACEFIRST", StackTypes.Boolean)]
+  [PushExpression(
+    StackTypes.BooleanVector,
+    "BOOLEAN[].REPLACEFIRST",
+    "Replace first occurrence of the second BOOLEAN with the BOOLEAN in the top BOOLEAN[].",
+    StackTypes.Boolean)]
   public class BooleanVectorReplaceFirstExpression : VectorReplaceFirstExpression<bool> {
     public BooleanVectorReplaceFirstExpression() { }
@@ -92,5 +104,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.StringVector, "STRING[].REPLACEFIRST", StackTypes.String)]
+  [PushExpression(
+    StackTypes.StringVector,
+    "STRING[].REPLACEFIRST",
+    "Replace first occurrence of the second STRING with the STRING in the top STRING[].",
+    StackTypes.String)]
   public class StringVectorReplaceFirstExpression : VectorReplaceFirstExpression<string> {
     public StringVectorReplaceFirstExpression() { }
Index: /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorRestExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorRestExpressions.cs	(revision 15031)
+++ /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorRestExpressions.cs	(revision 15032)
@@ -47,5 +47,8 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.IntegerVector, "INTEGER[].REST")]
+  [PushExpression(
+    StackTypes.IntegerVector,
+    "INTEGER[].REST",
+    "Removes the first item of the top INTEGER[].")]
   public class IntegerVectorRestExpression : VectorRestExpression<long> {
     public IntegerVectorRestExpression() { }
@@ -63,5 +66,8 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.FloatVector, "FLOAT[].REST")]
+  [PushExpression(
+    StackTypes.FloatVector,
+    "FLOAT[].REST",
+    "Removes the first item of the top FLOAT[].")]
   public class FloatVectorRestExpression : VectorRestExpression<double> {
     public FloatVectorRestExpression() { }
@@ -79,5 +85,8 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.BooleanVector, "BOOLEAN[].REST")]
+  [PushExpression(
+    StackTypes.BooleanVector,
+    "BOOLEAN[].REST",
+    "Removes the first item of the top BOOLEAN[].")]
   public class BooleanVectorRestExpression : VectorRestExpression<bool> {
     public BooleanVectorRestExpression() { }
@@ -95,5 +104,8 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.StringVector, "STRING[].REST")]
+  [PushExpression(
+    StackTypes.StringVector,
+    "STRING[].REST",
+    "Removes the first item of the top STRING[].")]
   public class StringVectorRestExpression : VectorRestExpression<string> {
     public StringVectorRestExpression() { }
Index: /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorReverseExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorReverseExpressions.cs	(revision 15031)
+++ /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorReverseExpressions.cs	(revision 15032)
@@ -30,5 +30,8 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.IntegerVector, "INTEGER[].REVERSE")]
+  [PushExpression(
+    StackTypes.IntegerVector,
+    "INTEGER[].REVERSE",
+    "Reverses the top INTEGER[].")]
   public class IntegerVectorReverseExpression : VectorReverseExpression<long> {
     public IntegerVectorReverseExpression() { }
@@ -46,5 +49,8 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.FloatVector, "FLOAT[].REVERSE")]
+  [PushExpression(
+    StackTypes.FloatVector,
+    "FLOAT[].REVERSE",
+    "Reverses the top FLOAT[].")]
   public class FloatVectorReverseExpression : VectorReverseExpression<double> {
     public FloatVectorReverseExpression() { }
@@ -62,5 +68,8 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.BooleanVector, "BOOLEAN[].REVERSE")]
+  [PushExpression(
+    StackTypes.BooleanVector,
+    "BOOLEAN[].REVERSE",
+    "Reverses the top BOOLEAN[].")]
   public class BooleanVectorReverseExpression : VectorReverseExpression<bool> {
     public BooleanVectorReverseExpression() { }
@@ -78,5 +87,8 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.StringVector, "STRING[].REVERSE")]
+  [PushExpression(
+    StackTypes.StringVector,
+    "STRING[].REVERSE",
+    "Reverses the top STRING[].")]
   public class StringVectorReverseExpression : VectorReverseExpression<string> {
     public StringVectorReverseExpression() { }
Index: /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorSetExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorSetExpressions.cs	(revision 15031)
+++ /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorSetExpressions.cs	(revision 15032)
@@ -56,5 +56,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.IntegerVector, "INTEGER[].SET", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.IntegerVector,
+    "INTEGER[].SET",
+    "Replaces in the top INTEGER[] item at index (from INTEGER stack) with the first INTEGER item.",
+    StackTypes.Integer)]
   public class IntegerVectorSetExpression : VectorSetExpression<long> {
     public IntegerVectorSetExpression() { }
@@ -72,5 +76,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.FloatVector, "FLOAT[].SET", StackTypes.Float | StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.FloatVector,
+    "FLOAT[].SET",
+    "Replaces in the top FLOAT[] item at index (from INTEGER stack) with the first FLOAT item.",
+    StackTypes.Float | StackTypes.Integer)]
   public class FloatVectorSetExpression : VectorSetExpression<double> {
     public FloatVectorSetExpression() { }
@@ -88,5 +96,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.BooleanVector, "BOOLEAN[].SET", StackTypes.Boolean | StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.BooleanVector,
+    "BOOLEAN[].SET",
+    "Replaces in the top BOOLEAN[] item at index (from INTEGER stack) with the first BOOLEAN item.",
+    StackTypes.Boolean | StackTypes.Integer)]
   public class BooleanVectorSetExpression : VectorSetExpression<bool> {
     public BooleanVectorSetExpression() { }
@@ -104,5 +116,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.StringVector, "STRING[].SET", StackTypes.String | StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.StringVector,
+    "STRING[].SET",
+    "Replaces in the top STRING[] item at index (from INTEGER stack) with the first STRING item.",
+    StackTypes.String | StackTypes.Integer)]
   public class StringVectorSetExpression : VectorSetExpression<string> {
     public StringVectorSetExpression() { }
Index: /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorSubExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorSubExpressions.cs	(revision 15031)
+++ /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorSubExpressions.cs	(revision 15032)
@@ -56,5 +56,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.IntegerVector, "INTEGER[].SUB", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.IntegerVector,
+    "INTEGER[].SUB",
+    "Pushes the sub vector of the top INTEGER[].",
+    StackTypes.Integer)]
   public class IntegerVectorSubExpression : VectorSubExpression<long> {
     public IntegerVectorSubExpression() { }
@@ -72,5 +76,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.FloatVector, "FLOAT[].SUB", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.FloatVector,
+    "FLOAT[].SUB",
+    "Pushes the sub vector of the top FLOAT[].",
+    StackTypes.Integer)]
   public class FloatVectorSubExpression : VectorSubExpression<double> {
     public FloatVectorSubExpression() { }
@@ -88,5 +96,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.BooleanVector, "BOOLEAN[].SUB", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.BooleanVector,
+    "BOOLEAN[].SUB",
+    "Pushes the sub vector of the top BOOLEAN[].",
+    StackTypes.Integer)]
   public class BooleanVectorSubExpression : VectorSubExpression<bool> {
     public BooleanVectorSubExpression() { }
@@ -104,5 +116,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.StringVector, "STRING[].SUB", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.StringVector,
+    "STRING[].SUB",
+    "Pushes the sub vector of the top STRING[].",
+    StackTypes.Integer)]
   public class StringVectorSubExpression : VectorSubExpression<string> {
     public StringVectorSubExpression() { }
Index: /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorTakeExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorTakeExpressions.cs	(revision 15031)
+++ /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/VectorTakeExpressions.cs	(revision 15032)
@@ -58,5 +58,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.IntegerVector, "INTEGER[].TAKE", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.IntegerVector,
+    "INTEGER[].TAKE",
+    "Takes the first n items of the top INTEGER[], where n is from the INTEGER stack.",
+    StackTypes.Integer)]
   public class IntegerVectorTakeExpression : VectorTakeExpression<long> {
     public IntegerVectorTakeExpression() { }
@@ -74,5 +78,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.FloatVector, "FLOAT[].TAKE", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.FloatVector,
+    "FLOAT[].TAKE",
+    "Takes the first n items of the top FLOAT[], where n is from the INTEGER stack.",
+    StackTypes.Integer)]
   public class FloatVectorTakeExpression : VectorTakeExpression<double> {
     public FloatVectorTakeExpression() { }
@@ -90,5 +98,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.BooleanVector, "BOOLEAN[].TAKE", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.BooleanVector,
+    "BOOLEAN[].TAKE",
+    "Takes the first n items of the top BOOLEAN[], where n is from the INTEGER stack.",
+    StackTypes.Integer)]
   public class BooleanVectorTakeExpression : VectorTakeExpression<bool> {
     public BooleanVectorTakeExpression() { }
@@ -106,5 +118,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.StringVector, "STRING[].TAKE", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.StringVector,
+    "STRING[].TAKE",
+    "Takes the first n items of the top STRING[], where n is from the INTEGER stack.",
+    StackTypes.Integer)]
   public class StringVectorTakeExpression : VectorTakeExpression<string> {
     public StringVectorTakeExpression() { }
Index: /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/YankDuplicateExpressions.cs
===================================================================
--- /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/YankDuplicateExpressions.cs	(revision 15031)
+++ /branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Expressions/YankDuplicateExpressions.cs	(revision 15032)
@@ -11,6 +11,6 @@
 
   /// <summary>
-  ///     Pushes a copy of an indexed item "deep" in the stack onto the top of the stack, without removing the deep item.
-  ///     The index is taken from the INTEGER stack, and the indexing is done after the index is removed.
+  /// Pushes a copy of an indexed item "deep" in the stack onto the top of the stack, without removing the deep item.
+  /// The index is taken from the INTEGER stack, and the indexing is done after the index is removed.
   /// </summary>
   /// <typeparam name="T">Stacktype</typeparam>
@@ -33,5 +33,8 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.Integer, "INTEGER.YANKDUP")]
+  [PushExpression(
+    StackTypes.Integer,
+    "INTEGER.YANKDUP",
+    "Pushes a copy of an indexed item \"deep\" in the stack onto the top of the stack, without removing the deep item.")]
   public class IntegerYankDuplicateExpression : YankDuplicateExpression<long> {
     public IntegerYankDuplicateExpression() { }
@@ -49,5 +52,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.Float, "FLOAT.YANKDUP", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.Float,
+    "FLOAT.YANKDUP",
+    "Pushes a copy of an indexed item \"deep\" in the stack onto the top of the stack, without removing the deep item.",
+    StackTypes.Integer)]
   public class FloatYankDuplicateExpression : YankDuplicateExpression<double> {
     public FloatYankDuplicateExpression() { }
@@ -65,5 +72,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.Boolean, "BOOLEAN.YANKDUP", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.Boolean,
+    "BOOLEAN.YANKDUP",
+    "Pushes a copy of an indexed item \"deep\" in the stack onto the top of the stack, without removing the deep item.",
+    StackTypes.Integer)]
   public class BooleanYankDuplicateExpression : YankDuplicateExpression<bool> {
     public BooleanYankDuplicateExpression() { }
@@ -81,5 +92,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.Name, "NAME.YANKDUP", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.Name,
+    "NAME.YANKDUP",
+    "Pushes a copy of an indexed item \"deep\" in the stack onto the top of the stack, without removing the deep item.",
+    StackTypes.Integer)]
   public class NameYankDuplicateExpression : YankDuplicateExpression<string> {
     public NameYankDuplicateExpression() { }
@@ -97,5 +112,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.Exec, "EXEC.YANKDUP", StackTypes.Integer, execIn: 0)]
+  [PushExpression(
+    StackTypes.Exec,
+    "EXEC.YANKDUP",
+    "Pushes a copy of an indexed item \"deep\" in the stack onto the top of the stack, without removing the deep item.",
+    StackTypes.Integer, execIn: 0)]
   public class ExecYankDuplicateExpression : YankDuplicateExpression<Expression> {
     public ExecYankDuplicateExpression() { }
@@ -113,5 +132,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.Code, "CODE.YANKDUP", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.Code,
+    "CODE.YANKDUP",
+    "Pushes a copy of an indexed item \"deep\" in the stack onto the top of the stack, without removing the deep item.",
+    StackTypes.Integer)]
   public class CodeYankDuplicateExpression : YankDuplicateExpression<Expression> {
     public CodeYankDuplicateExpression() { }
@@ -129,5 +152,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.Char, "CHAR.YANKDUP", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.Char,
+    "CHAR.YANKDUP",
+    "Pushes a copy of an indexed item \"deep\" in the stack onto the top of the stack, without removing the deep item.",
+    StackTypes.Integer)]
   public class CharYankDuplicateExpression : YankDuplicateExpression<char> {
     public CharYankDuplicateExpression() { }
@@ -145,5 +172,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.String, "STRING.YANKDUP", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.String,
+    "STRING.YANKDUP",
+    "Pushes a copy of an indexed item \"deep\" in the stack onto the top of the stack, without removing the deep item.",
+    StackTypes.Integer)]
   public class StringYankDuplicateExpression : YankDuplicateExpression<string> {
     public StringYankDuplicateExpression() { }
@@ -161,5 +192,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.IntegerVector, "INTEGER[].YANKDUP", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.IntegerVector,
+    "INTEGER[].YANKDUP",
+    "Pushes a copy of an indexed item \"deep\" in the stack onto the top of the stack, without removing the deep item.",
+    StackTypes.Integer)]
   public class IntegerVectorYankDuplicateExpression : YankDuplicateExpression<IReadOnlyList<long>> {
     public IntegerVectorYankDuplicateExpression() { }
@@ -177,5 +212,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.FloatVector, "FLOAT[].YANKDUP", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.FloatVector,
+    "FLOAT[].YANKDUP",
+    "Pushes a copy of an indexed item \"deep\" in the stack onto the top of the stack, without removing the deep item.",
+    StackTypes.Integer)]
   public class FloatVectorYankDuplicateExpression : YankDuplicateExpression<IReadOnlyList<double>> {
     public FloatVectorYankDuplicateExpression() { }
@@ -193,5 +232,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.BooleanVector, "BOOLEAN[].YANKDUP", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.BooleanVector,
+    "BOOLEAN[].YANKDUP",
+    "Pushes a copy of an indexed item \"deep\" in the stack onto the top of the stack, without removing the deep item.",
+    StackTypes.Integer)]
   public class BooleanVectorYankDuplicateExpression : YankDuplicateExpression<IReadOnlyList<bool>> {
     public BooleanVectorYankDuplicateExpression() { }
@@ -209,5 +252,9 @@
 
   [StorableClass]
-  [PushExpression(StackTypes.StringVector, "STRING[].YANKDUP", StackTypes.Integer)]
+  [PushExpression(
+    StackTypes.StringVector,
+    "STRING[].YANKDUP",
+    "Pushes a copy of an indexed item \"deep\" in the stack onto the top of the stack, without removing the deep item.",
+    StackTypes.Integer)]
   public class StringVectorYankDuplicateExpression : YankDuplicateExpression<IReadOnlyList<string>> {
     public StringVectorYankDuplicateExpression() { }
